package cn.com.qmth.examcloud.tool;

import cn.com.qmth.examcloud.tool.config.SysProperty;
import cn.com.qmth.examcloud.tool.service.CommonService;
import cn.com.qmth.examcloud.tool.service.query_paper_struct.QueryPaperStructTask;
import cn.com.qmth.examcloud.tool.service.reset_student_password.ResetStudentPasswordTask;
import cn.com.qmth.examcloud.tool.vo.user.User;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class ToolTest {

    @Autowired
    private CommonService commonService;

    @Autowired
    private SysProperty sysProperty;

    @Autowired
    private ResetStudentPasswordTask resetStudentPasswordTask;

    @Autowired
    private QueryPaperStructTask queryPaperStructTask;

    @Test
    public void demo() throws Exception {
        User user = doLogin();

        // resetStudentPasswordTask.start(user, 0L);
        // queryPaperStructTask.start(user, 0L);
    }

    private User doLogin() {
        String serverUrl = "org0.dev39.qmth.com.cn";
        String loginName = "admin9";
        String password = "0";
        String smsCode = "5220";

        User user = commonService.login(serverUrl, loginName, password, smsCode);
        System.out.println(user.getKey() + " " + user.getToken());
        return user;
    }

}
